
package de.ivu.elect.presentation.wahlvorschlag.action;

import java.util.List;

import javax.enterprise.inject.Specializes;
import javax.inject.Inject;

import de.ivu.elect.business.wahlvorschlag.entity.Liste;
import de.ivu.elect.jee.presentation.action.ActionEntry;

@Specializes
public class WasListeActionMenu extends ListeActionMenu {

  private static final long serialVersionUID = 1L;

  @Inject
  protected transient ListeZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction listeZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction;

  @Inject
  protected transient ListeZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction listeZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction;

  public WasListeActionMenu() {
    super();
  }

  @Override
  protected void addListeZulassungActions(List<ActionEntry<Liste>> result) {
    super.addListeZulassungActions(result);

    result.add(listeZulassungAufhebenKeineZulassungsfaehigkeitBeimZulassungsausschussAction);
    result.add(listeZulassungAufhebenKeineZulassungsfaehigkeitNachZulassungsausschussAction);
  }
}
